
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: environment.h 4004 2009-09-26 12:38:07Z mschwerin $
 *
 */

#ifndef HAVE_ENVIRONMENT_H
#define HAVE_ENVIRONMENT_H

#include "oxine.h"
#include "disc.h"

const char *get_mrl_root (void);
const char *get_mrl_home (void);
const char *get_mrl_desktop (void);
const char *get_mrl_favorites_most (void);
const char *get_mrl_favorites_recent (void);
const char *get_mrl_playlists (void);

const char *get_mrl_mediamarks_music (void);
const char *get_mrl_mediamarks_video (void);
const char *get_mrl_mediamarks_image (void);
const char *get_mrl_mediamarks_media (void);
const char *get_mrl_mediamarks_subtitle (void);

const char *get_mrl_xdg_music_dir (void);
const char *get_mrl_xdg_videos_dir (void);
const char *get_mrl_xdg_pictures_dir (void);

const char *get_dir_root (void);
const char *get_dir_home (void);
const char *get_dir_oxine (void);
const char *get_dir_oxine_skin (void);
const char *get_dir_oxine_cache (void);
const char *get_dir_oxine_tmp (void);
const char *get_dir_playlists (void);

void set_file_config (const char *filename);
const char *get_file_config (void);

const char *get_file_playlist_rw (void);

const char *get_file_lirc_config (void);
const char *get_file_jsw_config (void);
const char *get_file_dvb_channels (void);
const char *get_file_favorites (void);

void environment_free (void);

void clean_oxine_cache (void);

#endif /* HAVE_ENVIRONMENT_H */
