
/*
 * Copyright (C) 2002-2003 Stefan Holst
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: heap.c 3602 2008-12-11 10:50:57Z mschwerin $
 *
 */

#include "config.h"

#include <stdarg.h>
#include <stdio.h>

#include "heap.h"


char *
_gen_strdup_printf (char *lpFile, int nLine, const char *format, ...)
{
    char out[4096];

    va_list args;
    va_start (args, format);
    vsnprintf (out, 4096, format, args);
    va_end (args);

    return _gen_strdup (lpFile, nLine, out);
}


char *
_gen_strdup_strftime (char *lpFile, int nLine, const char *format,
                      const struct tm *tm)
{
    char out[4096];

    strftime (out, 4096, format, tm);

    return _gen_strdup (lpFile, nLine, out);
}
