
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: menu_dialog.h 3600 2008-12-08 22:28:25Z mschwerin $
 *
 */

#ifndef HAVE_MENU_DIALOG_H
#define HAVE_MENU_DIALOG_H

#include "otk.h"
#include "playlist.h"

void repaint_dialog (void *p);

void show_dialog (otk_cb_t lcb, void *lcb_data, const char *lcb_label,
                  otk_cb_t rcb, void *rcb_data, const char *rcb_label,
                  bool with_external_widget,
                  const char *background_mrl,
                  int align_message, const char *format, ...);

void get_dialog_widget_size (int *x, int *y, int *w, int *h);

void free_menu_dialog (void);

typedef enum {
    DIALOG_PLAIN,
    DIALOG_OK,
    DIALOG_CANCEL,
    DIALOG_BACK,
    DIALOG_OK_CANCEL,
    DIALOG_YES_NO,
    DIALOG_RETRY_CANCEL
} message_dialog_type_t;

void show_message_dialog (otk_cb_t lcb, void *lcb_data,
                          otk_cb_t rcb, void *rcb_data,
                          message_dialog_type_t type,
                          const char *background_mrl,
                          const char *format, ...);

static inline void
please_wait (const char *background_mrl)
{
    show_message_dialog (NULL, NULL, NULL, NULL, DIALOG_PLAIN,
                         background_mrl, _("Please wait..."));
}

#endif /* HAVE_MENU_DIALOG_H */
