
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Thanks goes to Florian Echtler for adding Xinerama support.
 *
 * $Id: odk_keymap.h 3205 2008-03-02 14:05:43Z mschwerin $
 *
 */

#ifndef HAVE_ODK_KEYMAP_H
#define HAVE_ODK_KEYMAP_H

#ifdef HAVE_LIBX11
#include <X11/Xlib.h>
#endif

#include "event.h"
#include "types.h"

#include "odk_xk.h"

bool odk_keymap_kbd2action (oxine_event_t * event, KeySym code, int modifier);
bool odk_keymap_lirc2action (oxine_event_t * event, const char *lirc_command);
bool odk_keymap_http2action (oxine_event_t * event, const char *http_command);
bool odk_keymap_netr2action (oxine_event_t * event, const char *netr_command);

#endif /* HAVE_ODK_KEYMAP_H */
