
/*
 * Copyright (C) 2000-2004 the xine project
 *
 * This file is part of xine, a unix video player.
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: odk_snapshot.h 2945 2007-10-26 13:39:28Z mschwerin $
 *
 */

#ifndef HAVE_SNAPSHOT_H
#define HAVE_SNAPSHOT_H

#include "odk.h"

/**
 * Creates a snapshot in memory and returns a buffer containing the image.
 *
 * @param odk                   A pointer to the ODK data structure.
 * @param size                  A pointer to an integer where the size of
 *                              the returned buffer will be stored.
 * @return                      A pointer to a buffer containing the
 *                              snapshot. On error NULL will be returned.
 */
char *odk_create_snapshot (odk_t *odk, int * size);

#endif /* HAVE_SNAPSHOT_H */
