
/*
 * Copyright (C) 2008 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: utils_io.h 3550 2008-11-01 12:47:49Z mschwerin $
 *
 */

#ifndef HAVE_UTILS_IO_H
#define HAVE_UTILS_IO_H


/**
 * Reads in at most one less than size characters from fd and stores them into
 * the buffer. Reading stops after an EOF or a newline. If a newline is read,
 * it is stored into the buffer. A ’\0’ is stored after the last character in
 * the buffer.
 *
 * @param fd                    A valid and open filedescriptor.
 * @param buffer                The buffer where to store the characters.
 * @param size                  The size of the buffer in byte.
 *
 * @return                      The number of bytes read.
 */
size_t readline (int fd, char * buffer, size_t size);


#endif /* HAVE_UTILS_IO_H */
