
/*
 * Copyright (C) 2009 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: utils_lastfm.h 3894 2009-05-05 12:22:01Z mschwerin $
 *
 */

#ifndef HAVE_UTILS_LASTFM_H
#define HAVE_UTILS_LASTFM_H

#include "types.h"

/**
 * Returns the MRL of a cover image for the specified artist and album or
 * the specified artist. The returned string must be freed. The returned
 * MRL points to a cached file on a local filesystem.
 *
 * @param artist                The name of the artist.
 * @param album                 The name of the album.
 *
 * @return                      The MRL of the cover image or NULL if no image
 *                              could be found.
 */
char *get_cover_image_from_lastfm (const char *artist, const char *album);


#endif /* HAVE_UTILS_LASTFM_H */

