
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: utils_network.h 3201 2008-03-02 10:46:55Z mschwerin $
 *
 */

#ifndef HAVE_UTILS_NETWORK_H
#define HAVE_UTILS_NETWORK_H

/**
 * Initialize a server.
 *
 * @param server_port           The port to listen on.
 * @param queue_length          The number of waiting clients.
 *
 * @return                      The socket the server listens on.
 */
int server_init (int server_port, int queue_length);


/**
 * Writes output according to format to the client socket.
 *
 * @param client_socket         The socket to the client.
 * @param format                The format to use.
 *
 * @return                      The return value of write.
 */
int server_printf (int client_socket, const char *format, ...);


#endif /* HAVE_UTILS_NETWORK_H */
