
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: utils_playlist.h 3352 2008-05-16 09:32:28Z mschwerin $
 *
 */

#ifndef HAVE_UTILS_PLAYLIST_H
#define HAVE_UTILS_PLAYLIST_H

#include "playlist.h"

bool playlist_play_first (playlist_t * playlist);

bool playlist_play_item (playlist_t * playlist, playitem_t * playitem);

bool playlist_play_prev (int start_time);

bool playlist_play_next (int start_time);

void playlist_rw_change_cb (playlist_t * playlist);

/**
 * Retrieves and adds autoplay MRLs for the given plugin ID. If this is
 * successfull, the retrieved MRLs are played.
 *
 * @param title                 The title to use for the autoplay MRLs when
 *                              adding them to the playlist.
 * @param pid                   The plugin ID.
 */
bool play_autoplay (const char *title, const char *pid);

#endif /* HAVE_UTILS_PLAYLIST_H */
